Debian paketit

Yleiset ongelmat, ohjelmien kääntäminen, kernel, lirc jne.

Debian paketit

ViestiKirjoittaja P.Kosunen » 27.01.2014 12:34

Mistä pakettivarastosta nykyään kannattaa asennella tuoreet VDR developer ja XBMC (PVR?) versiot Debian unstableen? (VDR:n sc plugin pitäisi myös löytyä)

Vai meneekö edelleen kääntämisen puolelle?
P.Kosunen
Yli-ihminen
 
Viestit: 1129
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: Debian paketit

ViestiKirjoittaja nm » 27.01.2014 15:36

Developer-version paketointia ei taida olla Debianille vielä missään, eli ne joudut itse tekemään 2.0-sarjan pakettien pohjalta. Myöskään sc-pluginia ei ole suoraan tarjolla, mutta deb-paketin rakentaminen on kohtalaisen helppoa:
https://wiki.debian.org/VDR#Install_vdr ... rom_source

Ubuntulle olisi näemmä valmiit binäärit näistä kaikista: https://launchpad.net/~aap/+archive/vdr
nm
Johtava konsultti
 
Viestit: 3160
Liittynyt: 22.07.2005 3:00

Re: Debian paketit

ViestiKirjoittaja P.Kosunen » 30.01.2014 18:21

https://github.com/AndreyPavlenko/vdr-b ... -plugin-sc
Lataa tuo debian hakemisto.

Koodi: Valitse kaikki
hg clone http://85.17.209.13:6100/sc
wget http://download.mn-home.fr/VDR/debianize-sc/sc-debian-package-11112011-2.diff
cd sc/
patch -p1 <../sc-debian-package-11112011-2.diff
unzip ../debian.zip # Andrey Pavlenkon paketti, A korvaa kaikki
sed -i debian/control -e 's/#VDR_VERSION#/2.0.0/g'
dpkg-buildpackage -us -uc -b


Ei onnistunut suoraan wikin ohjeella, mutta noin syntyy ainakin .deb paketit Debian unstable/sid kanssa.
P.Kosunen
Yli-ihminen
 
Viestit: 1129
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: Debian paketit

ViestiKirjoittaja P.Kosunen » 31.01.2014 14:07

Koodi: Valitse kaikki
WARNING: The following plugins have been left out due to really binary incompatibility: sc.

Koodi: Valitse kaikki
ERROR: /usr/lib/vdr/plugins/libvdr-sc.so.2.0.0: undefined symbol: _ZTI12cScDvbDevice


Eipä käynnisty, mikä mahtaa olla pielessä?
P.Kosunen
Yli-ihminen
 
Viestit: 1129
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: Debian paketit

ViestiKirjoittaja rofafor » 31.01.2014 23:08

P.Kosunen kirjoitti:Mistä pakettivarastosta nykyään kannattaa asennella tuoreet VDR developer ja XBMC (PVR?) versiot Debian unstableen? (VDR:n sc plugin pitäisi myös löytyä)

VDR-2.1.4:n kanssa tarvitaan omalähtöistä pätsäämistä, jos haluat sc:n toimimaan, mutta dvbapi toimii vastaavasti suoraan ilman kikkailuja.
Avatar
rofafor
Optikkoliikkeen kopiovastaava
 
Viestit: 1365
Liittynyt: 26.03.2004 3:00
Paikkakunta: Internet

Re: Debian paketit

ViestiKirjoittaja P.Kosunen » 01.02.2014 13:18

VDR 2.1.4 + dvbapi pluginin kanssako pärjää ilman OScamia, vanhemmilla vaatii erikseen OScamin?
P.Kosunen
Yli-ihminen
 
Viestit: 1129
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: Debian paketit

ViestiKirjoittaja rofafor » 01.02.2014 14:52

P.Kosunen kirjoitti:VDR 2.1.4 + dvbapi pluginin kanssako pärjää ilman OScamia, vanhemmilla vaatii erikseen OScamin?

Kuten pluginin nimestä näkee, niin se tarvitsee kaverikseen OScamin dvbapi-modulin.
Avatar
rofafor
Optikkoliikkeen kopiovastaava
 
Viestit: 1365
Liittynyt: 26.03.2004 3:00
Paikkakunta: Internet

Re: Debian paketit

ViestiKirjoittaja P.Kosunen » 01.02.2014 15:46

Taitaa olla helpompi tyytyä Ubuntuun niin löytyy kaikki valmiina.
P.Kosunen
Yli-ihminen
 
Viestit: 1129
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: Debian paketit

ViestiKirjoittaja P.Kosunen » 08.02.2014 13:08

Oscam+dvbapi yhdistelmä ei vaikuttanut oikein varmalta ja kanavanvaihto oli hitaampi kuin sc pluginin kanssa joten käänsin koko VDR:n ja pluginit käsin, sainpa vielä hankalan ttxtsubs plugininkin mukaan. Tuo ylempi undefined symbol virhe taisi johtua ../dvbsddevice ja ../dvbhddevice puuttumisesta käännösvaiheessa. Ubuntu 13.10 on siis säädön alla, taidan pitää tämän toistaiseksi valmiiden team XBMC pakettien vuoksi.
P.Kosunen
Yli-ihminen
 
Viestit: 1129
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki


Paluu Linux

Paikallaolijat

Käyttäjiä lukemassa tätä aluetta: Ei rekisteröityneitä käyttäjiä ja 1 vierailijaa

cron